Mailinglist Archive: opensuse-updates (117 mails)

< Previous Next >
openSUSE-SU-2016:0966-1: moderate: Security update for xerces-c
openSUSE Security Update: Security update for xerces-c
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0966-1
Rating: moderate
References: #920810 #966822
Cross-References: CVE-2015-0252 CVE-2016-0729
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


This update for xerces-c fixes the following security issues:

- CVE-2016-0729: Fix for mishandling certain kinds of malformed input
documents, resulting in buffer overlows during processing and error
reporting. The overflows can manifest as a segmentation fault or as
memory corruption during a parse operation. (boo#966822)
- CVE-2015-0252: Fix for mishandling certain kinds of malformed input
documents, resulting in a segmentation fault during a parse operation
(boo#920810)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-429=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libxerces-c-3_1-3.1.1-13.3.1
libxerces-c-3_1-debuginfo-3.1.1-13.3.1
libxerces-c-devel-3.1.1-13.3.1
xerces-c-3.1.1-13.3.1
xerces-c-debuginfo-3.1.1-13.3.1
xerces-c-debugsource-3.1.1-13.3.1

- openSUSE 13.2 (x86_64):

libxerces-c-3_1-32bit-3.1.1-13.3.1
libxerces-c-3_1-debuginfo-32bit-3.1.1-13.3.1


References:

https://www.suse.com/security/cve/CVE-2015-0252.html
https://www.suse.com/security/cve/CVE-2016-0729.html
https://bugzilla.suse.com/920810
https://bugzilla.suse.com/966822


< Previous Next >
This Thread
  • No further messages